# Copyright 2016 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from setuptools import setup, find_packages


DEPENDENCIES = ('typing',)


with open('README.rst', 'r') as fh:
    long_description = fh.read()


setup(
    name='sphinx-docstring-typing',
    version='0.0.2',
    description='Typing annotations in sphinx docstrings.',
    long_description=long_description,
    packages=find_packages(exclude='tests'),
    install_requires=DEPENDENCIES,
    license='Apache 2.0',
    keywords='sphinx docstrings typing napoleon',
    classifiers=[
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Operating System :: POSIX',
        'Topic :: Internet :: WWW/HTTP',
    ],
)
